\documentclass[10pt]{scrartcl}
\usepackage[utf8]{inputenc}
\usepackage{amsmath,amssymb}
\usepackage{graphicx}
\usepackage[a4paper,width=150mm,top=25mm,bottom=15mm]{geometry}
\usepackage{enumerate} %Roman enumeration
\usepackage{dsfont}
\usepackage{sectsty}
\usepackage{mathtools}
\usepackage{float}
\usepackage{physics}
\usepackage{slashed}
\usepackage{pdfpages}
\usepackage{hyperref}
%\usepackage{fancyhdr}
\renewcommand*{\thepage}{\large\arabic{page}}

\allsectionsfont{\centering}

\usepackage{xcolor}


\usepackage{fancyhdr}
\pagestyle{fancy}
\renewcommand{\headrulewidth}{0pt}
\fancyhead{}
\fancyfoot[L]{%
  \strut\rlap{\color{white!20}\rule[-\dp\strutbox]{5\headwidth}{5\headheight}}}
%\fancyfoot[R]{\thepage}

\newcommand\addSheet[1]{\includepdf[pages=-, pagecommand={\pagestyle{fancy}}]{QFT_II_Sheet_#1_Solution.pdf}}

\begin{document}
\begin{titlepage}
	\centering
	%\includegraphics[width=0.15\textwidth]{example-image-1x1}\par\vspace{1cm}
	{\scshape\LARGE RWTH University \par}
	\vspace{1cm}
	{\scshape\Large Solutions to\par}
	\vspace{1.5cm}
	{\huge\bfseries Quantum Field Theory II\par}
	\vspace{2cm}
	{\Large\itshape EMN\par}
	\vfill
	supervised by\par
	Prof.~Michael \textsc{Czakon}
	\vfill

% Bottom of the page
	{\large \today\par}
\end{titlepage}
\tableofcontents

\addcontentsline{toc}{section}{Sheet 1}
\addSheet 1
\addcontentsline{toc}{section}{Sheet 2}
\addSheet 2
\addcontentsline{toc}{section}{Sheet 3}
\addSheet 3
\addcontentsline{toc}{section}{Sheet 4}
\addSheet 4
\addcontentsline{toc}{section}{Sheet 5}
\addSheet 5
\addcontentsline{toc}{section}{Sheet 6}
\addSheet 6
\addcontentsline{toc}{section}{Sheet 7}
\addSheet 7
\addcontentsline{toc}{section}{Sheet 8}
\addSheet 8
\addcontentsline{toc}{section}{Sheet 9}
\addSheet 9
\addcontentsline{toc}{section}{Sheet 10}
\addSheet {10}
\addcontentsline{toc}{section}{Sheet 11}
\addSheet {11}
\addcontentsline{toc}{section}{Sheet 12}
\addSheet {12}

\end{document}

